(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     24745,        595]
NotebookOptionsPosition[     24348,        578]
NotebookOutlinePosition[     24750,        595]
CellTagsIndexPosition[     24707,        592]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"SetDirectory", "[", 
   RowBox[{"NotebookDirectory", "[", "]"}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"$HistoryLength", "=", "3"}], ";"}]}], "Input",
 CellChangeTimes->{{3.48327811315625*^9, 3.483278126375*^9}, {
  3.483319988421875*^9, 3.48331998971875*^9}, {3.57849661209375*^9, 
  3.578496624484375*^9}, {3.638255496078125*^9, 3.638255503171875*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "vydejNx5", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vydejNx5", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"listDat_", ",", "sr_"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"ksr2_", ",", "ksr1_"}], "}"}]}], "}"}], "]"}], ":=", 
   RowBox[{"Module", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"k1", "=", "0.5"}], ",", "aclist", ",", "x1", ",", "y1", ",", 
       "x2", ",", "y2", ",", "x3", ",", "y3", ",", "mozne", ",", "start", ",",
        "zkrot", ",", "krok", ",", "fce", ",", "nx", ",", "f", ",", "sd2", 
       ",", "nSampl", ",", "ykvref", ",", "varmin", ",", "pomer", ",", "fix", 
       ",", "sortFix", ",", "ndat", ",", "flnx", ",", "cenx", ",", "hfl", ",",
        "hce", ",", "ynx"}], "}"}], ",", "\[IndentingNewLine]", 
     RowBox[{
      RowBox[{
       RowBox[{"sd2", "[", "list_", "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"mean", ",", "mean2"}], "}"}], ",", 
         RowBox[{
          RowBox[{"mean", "=", 
           RowBox[{"Mean", "[", "list", "]"}]}], ";", 
          RowBox[{"mean2", "=", 
           RowBox[{"Mean", "[", 
            RowBox[{"list", "*", "list"}], "]"}]}], ";", 
          RowBox[{"mean2", "-", 
           SuperscriptBox["mean", "2"]}]}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"aclist", "=", 
       RowBox[{"Prepend", "[", 
        RowBox[{
         RowBox[{"Accumulate", "[", "listDat", "]"}], ",", "0"}], "]"}]}], 
      ";", "\[IndentingNewLine]", 
      RowBox[{"nSampl", "=", 
       RowBox[{"Length", "[", "aclist", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"fce", "[", "nOkno_", "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"rn", ",", "soucty", ",", "sigma"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"rn", "=", 
           RowBox[{"Range", "[", 
            RowBox[{"nSampl", "-", "nOkno"}], "]"}]}], ";", 
          "\[IndentingNewLine]", 
          RowBox[{"soucty", "=", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              RowBox[{
               RowBox[{"aclist", "[", 
                RowBox[{"[", 
                 RowBox[{"#", "+", "nOkno"}], "]"}], "]"}], "-", 
               RowBox[{"aclist", "[", 
                RowBox[{"[", "#", "]"}], "]"}]}], "&"}], "/@", "rn"}], 
            ")"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"sigma", "=", 
           RowBox[{
            FractionBox["1.", "1"], 
            RowBox[{"sd2", "[", "soucty", "]"}]}]}], ";", 
          RowBox[{"(*", 
           RowBox[{
            RowBox[{"zde", " ", "zmena"}], ",", " ", 
            RowBox[{"bylo", " ", 
             FractionBox["1.", 
              SuperscriptBox["nOkno", "2"]]}]}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{"nOkno", ",", "sigma"}], "}"}]}]}], "\[IndentingNewLine]", 
        "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"mozne", "=", 
       RowBox[{"Range", "[", 
        RowBox[{
         RowBox[{"Round", "[", 
          RowBox[{
           SuperscriptBox["ksr1", 
            RowBox[{"-", "1"}]], "*", "sr"}], "]"}], ",", 
         RowBox[{"Round", "[", 
          RowBox[{
           SuperscriptBox["ksr2", 
            RowBox[{"-", "1"}]], "*", "sr"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"start", "=", 
       RowBox[{"fce", "/@", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"mozne", "[", 
           RowBox[{"[", "1", "]"}], "]"}], ",", 
          RowBox[{"Round", "[", 
           RowBox[{"0.5", "*", 
            RowBox[{"(", 
             RowBox[{
              RowBox[{"mozne", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "+", 
              RowBox[{"mozne", "[", 
               RowBox[{"[", 
                RowBox[{"-", "1"}], "]"}], "]"}]}], ")"}]}], "]"}], ",", 
          RowBox[{"mozne", "[", 
           RowBox[{"[", 
            RowBox[{"-", "1"}], "]"}], "]"}]}], "}"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"zkrot", "[", "n_", "]"}], ":=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{"n", "<", 
          RowBox[{"mozne", "[", 
           RowBox[{"[", "1", "]"}], "]"}]}], ",", 
         RowBox[{"mozne", "[", 
          RowBox[{"[", "1", "]"}], "]"}], ",", 
         RowBox[{"If", "[", 
          RowBox[{
           RowBox[{"n", ">", 
            RowBox[{"mozne", "[", 
             RowBox[{"[", 
              RowBox[{"-", "1"}], "]"}], "]"}]}], ",", 
           RowBox[{"mozne", "[", 
            RowBox[{"[", 
             RowBox[{"-", "1"}], "]"}], "]"}], ",", 
           RowBox[{"Round", "[", "n", "]"}]}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"krok", "[", 
        RowBox[{"body", ":", 
         RowBox[{"{", 
          RowBox[{
           RowBox[{"{", 
            RowBox[{"x1_", ",", "y1_"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x2_", ",", "y2_"}], "}"}], ",", 
           RowBox[{"{", 
            RowBox[{"x3_", ",", "y3_"}], "}"}]}], "}"}]}], "]"}], ":=", 
       RowBox[{"Module", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"nb", ",", "yka", ",", "miny"}], "}"}], ",", 
         "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{"yka", "=", 
           RowBox[{"body", "/.", 
            RowBox[{
             RowBox[{"{", 
              RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", "b"}]}]}], 
          ";", "\[IndentingNewLine]", 
          RowBox[{"miny", "=", 
           RowBox[{"Min", "[", "yka", "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"nb", "=", 
           RowBox[{"Which", "[", 
            RowBox[{
             RowBox[{"miny", "\[Equal]", "y2"}], ",", 
             RowBox[{"{", 
              RowBox[{
               RowBox[{"fce", "[", 
                RowBox[{"Round", "[", 
                 RowBox[{"0.5", "*", 
                  RowBox[{"(", 
                   RowBox[{"x1", "+", "x2"}], ")"}]}], "]"}], "]"}], ",", 
               RowBox[{"fce", "[", 
                RowBox[{"Round", "[", 
                 RowBox[{"0.5", "*", 
                  RowBox[{"(", 
                   RowBox[{"x3", "+", "x2"}], ")"}]}], "]"}], "]"}]}], "}"}], 
             ",", "\[IndentingNewLine]", 
             RowBox[{"miny", "\[Equal]", "y3"}], ",", 
             RowBox[{"{", 
              RowBox[{"fce", "[", 
               RowBox[{"zkrot", "[", 
                RowBox[{"x3", "+", 
                 RowBox[{"k1", "*", 
                  RowBox[{"(", 
                   RowBox[{"x3", "-", "x2"}], ")"}]}]}], "]"}], "]"}], "}"}], 
             ",", 
             RowBox[{"miny", "\[Equal]", "y1"}], ",", 
             RowBox[{"{", 
              RowBox[{"fce", "[", 
               RowBox[{"zkrot", "[", 
                RowBox[{"x1", "-", 
                 RowBox[{"k1", "*", 
                  RowBox[{"(", 
                   RowBox[{"x2", "-", "x1"}], ")"}]}]}], "]"}], "]"}], 
              "}"}]}], "]"}]}], ";", "\[IndentingNewLine]", 
          RowBox[{"Sort", "[", 
           RowBox[{
            RowBox[{"Take", "[", 
             RowBox[{
              RowBox[{"Sort", "[", 
               RowBox[{
                RowBox[{"Union", "[", 
                 RowBox[{"nb", ",", "body"}], "]"}], ",", 
                RowBox[{
                 RowBox[{
                  RowBox[{"#1", "[", 
                   RowBox[{"[", "2", "]"}], "]"}], "<", 
                  RowBox[{"#2", "[", 
                   RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}], ",", 
              "3"}], "]"}], ",", 
            RowBox[{
             RowBox[{
              RowBox[{"#1", "[", 
               RowBox[{"[", "1", "]"}], "]"}], "<", 
              RowBox[{"#2", "[", 
               RowBox[{"[", "1", "]"}], "]"}]}], "&"}]}], "]"}]}]}], 
        "\[IndentingNewLine]", "]"}]}], ";", "\[IndentingNewLine]", 
      "\[IndentingNewLine]", 
      RowBox[{"fix", "=", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"{", 
           RowBox[{"x1", ",", "y1"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x2", ",", "y2"}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"x3", ",", "y3"}], "}"}]}], "}"}], "=", 
        RowBox[{"FixedPoint", "[", 
         RowBox[{"krok", ",", "start"}], "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"sortFix", "=", 
       RowBox[{"Sort", "[", 
        RowBox[{"fix", ",", 
         RowBox[{
          RowBox[{
           RowBox[{"#1", "[", 
            RowBox[{"[", "2", "]"}], "]"}], "<", 
           RowBox[{"#2", "[", 
            RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"nx", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"y1", ">", "y2"}], "&&", 
          RowBox[{"y3", ">", "y2"}]}], ",", 
         FractionBox[
          RowBox[{"y1", "+", 
           RowBox[{"2", " ", "x2", " ", "y1"}], "-", 
           RowBox[{"4", " ", "x2", " ", "y2"}], "-", "y3", "+", 
           RowBox[{"2", " ", "x2", " ", "y3"}]}], 
          RowBox[{"2", " ", 
           RowBox[{"(", 
            RowBox[{"y1", "-", 
             RowBox[{"2", " ", "y2"}], "+", "y3"}], ")"}]}]], ",", 
         RowBox[{"sortFix", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "1"}], "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"varmin", "=", 
       RowBox[{"If", "[", 
        RowBox[{
         RowBox[{
          RowBox[{"y1", ">", "y2"}], "&&", 
          RowBox[{"y3", ">", "y2"}]}], ",", 
         RowBox[{"-", 
          FractionBox[
           RowBox[{
            SuperscriptBox["y1", "2"], "+", 
            SuperscriptBox[
             RowBox[{"(", 
              RowBox[{
               RowBox[{
                RowBox[{"-", "4"}], " ", "y2"}], "+", "y3"}], ")"}], "2"], 
            "-", 
            RowBox[{"2", " ", "y1", " ", 
             RowBox[{"(", 
              RowBox[{
               RowBox[{"4", " ", "y2"}], "+", "y3"}], ")"}]}]}], 
           RowBox[{"8", " ", 
            RowBox[{"(", 
             RowBox[{"y1", "-", 
              RowBox[{"2", " ", "y2"}], "+", "y3"}], ")"}]}]]}], ",", 
         RowBox[{"sortFix", "[", 
          RowBox[{"[", 
           RowBox[{"1", ",", "2"}], "]"}], "]"}]}], "]"}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"pomer", "=", 
       FractionBox["nx", "sr"]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ndat", "=", 
       RowBox[{"1.", "*", 
        RowBox[{"Length", "[", "listDat", "]"}]}]}], ";", 
      "\[IndentingNewLine]", 
      RowBox[{"flnx", "=", 
       RowBox[{"Floor", "[", "nx", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"cenx", "=", 
       RowBox[{"Ceiling", "[", "nx", "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"hfl", "=", 
       RowBox[{"listDat", "[", 
        RowBox[{"[", "flnx", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"hce", "=", 
       RowBox[{"listDat", "[", 
        RowBox[{"[", "cenx", "]"}], "]"}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ynx", "=", 
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{
           RowBox[{"flnx", " ", "hce"}], "-", 
           RowBox[{"cenx", " ", "hfl"}]}], "cenx"]}], "+", 
        FractionBox[
         RowBox[{"hce", " ", "nx"}], "cenx"]}]}], ";", "\[IndentingNewLine]", 
      RowBox[{"ykvref", "=", 
       RowBox[{
        FractionBox["1", "nx"], "*", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{"Plus", "@@", 
           RowBox[{"(", 
            RowBox[{
             RowBox[{
              SuperscriptBox["#", "2"], "&"}], "/@", 
             RowBox[{"Take", "[", 
              RowBox[{"listDat", ",", "flnx"}], "]"}]}], ")"}]}], "+", 
          RowBox[{
           SuperscriptBox["ynx", "2"], "*", 
           RowBox[{"(", 
            RowBox[{"nx", "-", "flnx"}], ")"}]}]}], ")"}]}]}], ";", 
      "\[IndentingNewLine]", "\[IndentingNewLine]", 
      RowBox[{"{", 
       RowBox[{
        FractionBox[
         RowBox[{"Abs", "[", "varmin", "]"}], 
         RowBox[{
          RowBox[{"Abs", "[", "ykvref", "]"}], "+", 
          SuperscriptBox["10", 
           RowBox[{"-", "8"}]]}]], ",", 
        RowBox[{"N", "@", "pomer"}]}], "}"}]}]}], "\[IndentingNewLine]", 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.589638326828125*^9, 3.589638347265625*^9}, {
   3.589638419609375*^9, 3.589638448390625*^9}, {3.58963853421875*^9, 
   3.58963855584375*^9}, {3.58963859215625*^9, 3.589638592828125*^9}, 
   3.58963869128125*^9, {3.5896387538125*^9, 3.58963887503125*^9}, {
   3.589638965578125*^9, 3.5896389911875*^9}, {3.58963906478125*^9, 
   3.589639262984375*^9}, {3.58963930484375*^9, 3.589639328109375*^9}, {
   3.589639364109375*^9, 3.589639372984375*^9}, {3.589639409390625*^9, 
   3.589639522234375*^9}, {3.589639733703125*^9, 3.58963976896875*^9}, {
   3.589640053921875*^9, 3.58964005675*^9}, {3.589640090453125*^9, 
   3.58964010171875*^9}, {3.58964015090625*^9, 3.58964030490625*^9}, {
   3.589640352078125*^9, 3.589640373953125*^9}, {3.589640488015625*^9, 
   3.589640489*^9}, {3.589640565875*^9, 3.589640627953125*^9}, {
   3.589640710125*^9, 3.58964074059375*^9}, {3.5896486455*^9, 
   3.5896486610625*^9}, {3.589648691671875*^9, 3.5896487055*^9}, {
   3.589650775546875*^9, 3.589650776046875*^9}, {3.59005184675*^9, 
   3.590051858046875*^9}, {3.590052253296875*^9, 3.59005229290625*^9}, {
   3.590052369046875*^9, 3.5900523789375*^9}, {3.59005405965625*^9, 
   3.590054070046875*^9}, {3.59005413690625*^9, 3.5900541395*^9}, {
   3.59005417075*^9, 3.590054211578125*^9}, {3.590738773546875*^9, 
   3.590738804828125*^9}, 3.59073906553125*^9, {3.590739257796875*^9, 
   3.5907393216875*^9}, {3.590739505578125*^9, 3.59073952865625*^9}, {
   3.590739582078125*^9, 3.590739607125*^9}, {3.59073963728125*^9, 
   3.590739746015625*^9}, {3.590739783390625*^9, 3.590739792375*^9}, {
   3.590743832359375*^9, 3.5907438378125*^9}, {3.590744053328125*^9, 
   3.5907440911875*^9}, {3.590744124609375*^9, 3.59074418775*^9}, {
   3.590744240203125*^9, 3.5907442564375*^9}, {3.5907442874375*^9, 
   3.590744291015625*^9}, {3.590744449125*^9, 3.5907445183125*^9}, {
   3.590744561203125*^9, 3.59074458315625*^9}, 3.590744730296875*^9, {
   3.591093663484375*^9, 3.591093726546875*^9}, {3.59109502559375*^9, 
   3.59109503040625*^9}, {3.591096260640625*^9, 3.591096286765625*^9}, 
   3.591201181359375*^9, 3.591201397921875*^9, 3.59120143103125*^9, {
   3.591246536921875*^9, 3.59124656421875*^9}, {3.591246662765625*^9, 
   3.591246664765625*^9}, {3.591246730734375*^9, 3.591246740265625*^9}, 
   3.59124715328125*^9, 3.591247873875*^9, {3.59124797821875*^9, 
   3.5912479795625*^9}, {3.59124854046875*^9, 3.591248556640625*^9}, {
   3.591248839078125*^9, 3.591248864984375*^9}, {3.59126683034375*^9, 
   3.591266838484375*^9}, {3.63825403590625*^9, 3.63825404*^9}, {
   3.638254735984375*^9, 3.638254736984375*^9}, {3.6385444074375*^9, 
   3.6385444106875*^9}, {3.63854447640625*^9, 3.638544486703125*^9}, 
   3.638544813265625*^9, {3.638545399640625*^9, 3.638545411046875*^9}, {
   3.638545604296875*^9, 3.63854564234375*^9}, {3.638545819921875*^9, 
   3.63854582409375*^9}, {3.6385463191875*^9, 3.638546329828125*^9}, {
   3.638546859625*^9, 3.638546868*^9}, {3.638546911921875*^9, 
   3.638546916203125*^9}, {3.64386655996875*^9, 3.643866666078125*^9}, {
   3.643866709984375*^9, 3.643866737765625*^9}, {3.643866809421875*^9, 
   3.6438668958125*^9}, {3.64386693225*^9, 3.6438669958125*^9}, {
   3.643868896703125*^9, 3.643868903859375*^9}, {3.643869569359375*^9, 
   3.643869570609375*^9}, {3.643869603625*^9, 3.643869628765625*^9}, 
   3.6438696996875*^9, {3.643870231578125*^9, 3.6438702908125*^9}, 
   3.643870321421875*^9, {3.643870376796875*^9, 3.64387037740625*^9}, {
   3.643870436671875*^9, 3.643870445171875*^9}, {3.643870483203125*^9, 
   3.64387048790625*^9}, {3.643878834078125*^9, 3.643878837265625*^9}, {
   3.643879901546875*^9, 3.6438799103125*^9}, {3.643879946671875*^9, 
   3.64388000353125*^9}, {3.643881072703125*^9, 3.643881073734375*^9}, {
   3.66299751409375*^9, 3.662997554765625*^9}, 3.663126166640938*^9, {
   3.727949785703125*^9, 3.72794983925*^9}, {3.727949985046875*^9, 
   3.727950060578125*^9}, {3.72795015609375*^9, 3.727950286515625*^9}, 
   3.727950322890625*^9, {3.727950432375*^9, 3.727950436*^9}}],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"fNom", "=", "50"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tnom", "=", 
     FractionBox["1", "fNom"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"kper", ",", "nd"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"1.6", ",", "4001"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"tmax", "=", 
     RowBox[{"kper", "*", "Tnom"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"{", 
      RowBox[{"t1", ",", "t2"}], "}"}], "=", 
     RowBox[{"{", 
      RowBox[{"0", ",", "tmax"}], "}"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"kf", "=", "1.05"}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"f", "=", 
     RowBox[{"50", "*", "kf"}]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[Omega]", "=", 
     RowBox[{"2.", "*", "Pi", "*", "f"}]}], ";"}], "\n", 
   RowBox[{
    RowBox[{"frus", "[", "t_", "]"}], ":=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       RowBox[{"10", "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"\[Omega]", "*", "t"}], "]"}]}], "+", 
       RowBox[{"1", "*", 
        RowBox[{"Sin", "[", 
         RowBox[{"50", "*", 
          SuperscriptBox["Pi", "2"], "*", "t"}], "]"}]}]}], ")"}], "*", 
     "1"}]}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"Plot", "[", 
    RowBox[{
     RowBox[{"frus", "[", "t", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"t", ",", "t1", ",", "t2"}], "}"}]}], "]"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"\[CapitalDelta]t", "=", 
     FractionBox[
      RowBox[{"t2", "-", "t1"}], 
      RowBox[{"nd", "-", "1"}]]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"listdat", "=", 
     RowBox[{"frus", "/@", 
      RowBox[{"Range", "[", 
       RowBox[{"t1", ",", "t2", ",", "\[CapitalDelta]t"}], "]"}]}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Tref", "=", 
     FractionBox["1", "50"]}], ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"sr", "=", 
     RowBox[{"Round", "[", 
      FractionBox["Tref", "\[CapitalDelta]t"], "]"}]}], ";"}], 
   "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"vydejNx5", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{"listdat", ",", "sr"}], "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"0.95", ",", "1.05"}], "}"}]}], "}"}], "]"}], "/.", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"a_", ",", "b_"}], "}"}], "\[RuleDelayed]", 
     RowBox[{"{", 
      RowBox[{"a", ",", 
       SuperscriptBox["b", 
        RowBox[{"-", "1"}]], ",", 
       RowBox[{
        FractionBox[
         RowBox[{
          SuperscriptBox["b", 
           RowBox[{"-", "1"}]], "-", "kf"}], "kf"], "*", "1000"}]}], 
      "}"}]}]}]}]}]], "Input",
 CellChangeTimes->{{3.644055809828125*^9, 3.64405593634375*^9}, {
   3.6440559696875*^9, 3.644056106796875*^9}, {3.64405617278125*^9, 
   3.644056221328125*^9}, {3.644056265859375*^9, 3.644056337828125*^9}, {
   3.644057083*^9, 3.644057140796875*^9}, {3.644058144078125*^9, 
   3.644058160125*^9}, {3.6440582235*^9, 3.644058262734375*^9}, 
   3.644059652078125*^9, 3.644059746171875*^9, 3.644059830296875*^9, {
   3.644059890265625*^9, 3.644059950625*^9}, {3.6440602083125*^9, 
   3.6440602510625*^9}, {3.644060828265625*^9, 3.644061082859375*^9}, {
   3.644061159578125*^9, 3.644061209328125*^9}, 3.64406622928125*^9, {
   3.644066259796875*^9, 3.6440662881875*^9}, 3.644066336234375*^9, 
   3.644066367765625*^9, {3.644066612*^9, 3.644066632234375*^9}, 
   3.6440667481875*^9, {3.6440667800625*^9, 3.6440668810625*^9}, 
   3.644067420375*^9, {3.6440675255*^9, 3.644067537359375*^9}, 
   3.644067568515625*^9, 3.644067619015625*^9, {3.644067664453125*^9, 
   3.644067728*^9}, {3.64406776921875*^9, 3.644067800109375*^9}, {
   3.644067847640625*^9, 3.644067940140625*^9}, {3.644068830625*^9, 
   3.64406886778125*^9}, 3.644068902703125*^9, {3.644068945265625*^9, 
   3.644069009890625*^9}, 3.644069054890625*^9, {3.644069086875*^9, 
   3.6440690984375*^9}, {3.644069132359375*^9, 3.644069177375*^9}, 
   3.644069218828125*^9, 3.644069327203125*^9, 3.644069369875*^9, {
   3.644069418296875*^9, 3.64406945240625*^9}, 3.644069531046875*^9, {
   3.6440695611875*^9, 3.644069573765625*^9}, {3.6441363297741156`*^9, 
   3.6441363362741156`*^9}, {3.6441363671178656`*^9, 
   3.6441363944147406`*^9}, {3.6441365280553656`*^9, 
   3.6441365441491156`*^9}, {3.6441365760084906`*^9, 
   3.6441365822428656`*^9}, {3.6441366149303656`*^9, 
   3.6441366508366156`*^9}, {3.6441366913366156`*^9, 3.6441367207428656`*^9}, 
   3.6441367521647406`*^9, 3.6441367905084906`*^9, {3.6441368218209906`*^9, 
   3.6441368390709906`*^9}, {3.6441368738209906`*^9, 
   3.6441368927584906`*^9}, {3.6441370491803656`*^9, 
   3.6441371045397406`*^9}, {3.6441371369772406`*^9, 
   3.6441371461959906`*^9}, {3.6441372390709906`*^9, 
   3.6441373326022406`*^9}, {3.6441382742897406`*^9, 
   3.6441382758053656`*^9}, {3.6441383165241156`*^9, 
   3.6441383531959906`*^9}, {3.6441388397116156`*^9, 3.6441388666491156`*^9}, 
   3.6441398300709906`*^9, {3.6441400106959906`*^9, 3.6441401000553656`*^9}, 
   3.6441428745866156`*^9, 3.6441429293991156`*^9, 3.6441429730553656`*^9, 
   3.6441483065*^9, {3.64414833978125*^9, 3.644148442140625*^9}, 
   3.6441484750625*^9, {3.644148522078125*^9, 3.644148595796875*^9}, {
   3.644148667734375*^9, 3.644148707859375*^9}, {3.644148757*^9, 
   3.644148759859375*^9}, {3.6441488145625*^9, 3.64414881559375*^9}, {
   3.64414934871875*^9, 3.6441493693125*^9}, {3.6441500899375*^9, 
   3.644150122015625*^9}, {3.644150209796875*^9, 3.644150213390625*^9}, {
   3.6631257640442305`*^9, 3.663125766134634*^9}, {3.6631258043859015`*^9, 
   3.6631258333239517`*^9}, {3.6631261792457595`*^9, 3.663126189136177*^9}, {
   3.6631429860773716`*^9, 3.6631429907889805`*^9}, {3.66314320446416*^9, 
   3.663143259999658*^9}, {3.663143304106936*^9, 3.6631433317989845`*^9}, 
   3.66314365258115*^9, {3.6631436995724325`*^9, 3.663143710211651*^9}, 
   3.6631440486052475`*^9, {3.6631445699719653`*^9, 3.663144577836379*^9}, {
   3.6755826400625*^9, 3.67558266578125*^9}, {3.72802334078125*^9, 
   3.728023341046875*^9}, {3.728023390296875*^9, 3.728023471875*^9}, {
   3.728023825953125*^9, 3.72802383096875*^9}, {3.72802392575*^9, 
   3.728023927*^9}, {3.728289404605833*^9, 3.728289509902708*^9}, 
   3.728289561574583*^9, {3.728289614887083*^9, 3.728289728887083*^9}, {
   3.728289764777708*^9, 3.728289793621458*^9}, {3.728289828308958*^9, 
   3.728289914215208*^9}}]
},
WindowSize->{1173, 783},
WindowMargins->{{10, Automatic}, {Automatic, 0}},
ShowSelection->True,
Magnification->1.3000000715255737`,
FrontEndVersion->"8.0 for Microsoft Windows (32-bit) (February 23, 2011)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 511, 12, 84, "Input"],
Cell[1059, 34, 16666, 395, 1186, "Input"],
Cell[17728, 431, 6616, 145, 512, "Input"]
}
]
*)

(* End of internal cache information *)
